## net.sourceforge.pmd
Class SourceFileSelector

    java.lang.Object
      net.sourceforge.pmd.SourceFileSelector

public class SourceFileSelector
extends java.lang.Object

Filtering of wanted source files.

Author:
  Pieter_Van_Raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`SourceFileSelector()`

Method Summary
`boolean` `isSelectJavaFiles()`
`boolean` `isSelectJspFiles()`
`boolean` `isWantedFile(java.io.File file)` Check if a given file should be checked by PMD.
`boolean` `isWantedFile(java.lang.String fileName)` Check if a file with given fileName should be checked by PMD.
`void` `setSelectJavaFiles(boolean selectJavaFiles)`
`void` `setSelectJspFiles(boolean selectJspFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceFileSelector

    public SourceFileSelector()

Method Detail

### isWantedFile

    public boolean isWantedFile(java.lang.String fileName)

  Check if a file with given fileName should be checked by PMD.

  Parameters:
    `fileName` - String
  Returns:
    True if the file must be checked; false otherwise

### isWantedFile

    public boolean isWantedFile(java.io.File file)

  Check if a given file should be checked by PMD.

  Parameters:
    `file` - The File
  Returns:
    True if the file must be checked; false otherwise

### isSelectJavaFiles

    public boolean isSelectJavaFiles()

  Returns:
    Returns the selectJavaFiles.

### setSelectJavaFiles

    public void setSelectJavaFiles(boolean selectJavaFiles)

  Parameters:
    `selectJavaFiles` - The selectJavaFiles to set.

### isSelectJspFiles

    public boolean isSelectJspFiles()

  Returns:
    Returns the selectJspFiles.

### setSelectJspFiles

    public void setSelectJspFiles(boolean selectJspFiles)

  Parameters:
    `selectJspFiles` - The selectJspFiles to set.

Copyright © 2002-2006 InfoEther. All Rights Reserved.